#!/usr/bin/env node
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var fse = _interopRequireWildcard(require("fs-extra"));

var reactNativeSvgAppIcon = _interopRequireWildcard(require("./index"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Default values for CLI configuration. Custom values are merged on top.
 */
const defaultCliConfig = {
  backgroundPath: "./icon-background.svg",
  foregroundPath: "./icon.svg"
};

async function main() {
  console.log("Running react-native-svg-app-icon");
  let cliConfig;

  try {
    const appJson = await fse.readJson("./app.json");
    cliConfig = { ...defaultCliConfig,
      ...appJson.svgAppIcon
    };
  } catch {
    cliConfig = defaultCliConfig;
  }

  const generatedFiles = await reactNativeSvgAppIcon.generate({
    icon: {
      backgroundPath: (await fse.pathExists(cliConfig.backgroundPath)) ? cliConfig.backgroundPath : undefined,
      foregroundPath: cliConfig.foregroundPath
    }
  });

  for await (const file of generatedFiles) {
    console.log("Wrote " + file);
  }

  console.log("Done");
}

if (require.main === module) {
  void main();
}

var _default = main;
exports.default = _default;